/******************************************************************************
*        ____
*      _-    -_    _------_
*     -        -_--        -_
*          _--------------_   -_
* 	_---              -_
*      _-                 ----___
*                         ---___
*      Copyright (c) 1999-2001 Vista Control Systems, Inc.
*      All rights reserved
*      176 Central Park Square * Los Alamos, N.M. 87544 * 505-662-2484
*
*      Filename: vhytec/internal.h
*
**********************************************************************/

/*
 * Include file for io.c and user defined I/O modules.
 */

#include <vsys_routines.h>
#include <vsys_alloc.h>

//typedef int bool;

#define F_READ_OUTPUT_DISCRETES 1
#define F_READ_INPUT_DISCRETES 2
#define F_READ_OUTPUT_REGISTERS 3
#define F_READ_INPUT_REGISTERS 4
#define F_WRITE_OUTPUT_DISCRETE 5
#define F_WRITE_OUTPUT_REGISTER 6
#define F_WRITE_OUTPUT_REGISTERS 16

#define G16(p) ((((p)[0]) << 8) + (p)[1])
#define P16(p,v) ((p)[0] = ((v) >> 8), (p)[1] = ((v) & 0xff))
#define P1(p,i) ((p)[(i) / 8] |= (1 << ((i) & 7)))
