/*extern "C"
{*/
#include <ctype.h>
#include <math.h>
#include <string.h>
#include <unistd.h>
#include <stdio.h>
#include <sys/time.h>

#include "../include/HytecIPAPI.h"
#include "../include/Hy8402.h"
#include "../include/Hy8411.h"
/*}*/

int hytec_ip_analog()
{
  /* Comment out the next two lines to cause this to run much faster! */
  timespec ts1, ts2;
  clock_gettime(CLOCK_REALTIME, &ts1);

//  CHy8411 ADC1;
//  CHy8402 DAC1;

  clock_gettime(CLOCK_REALTIME, &ts2);

//  printf("Before: sec.nanosec=%d.%d\n", ts1.tv_sec,ts1.tv_nsec);
//  printf("After: sec.nanosec=%d.%d\n", ts2.tv_sec,ts2.tv_nsec);
  if(ts2.tv_nsec < ts1.tv_nsec)
  {
	ts2.tv_sec--;
	ts2.tv_nsec += 1000000000;
  }
  long int sdiff = ts2.tv_sec - ts1.tv_sec;
  long int ndiff = ts2.tv_nsec - ts1.tv_nsec;
  double diff = (double)sdiff * 1000000000 + (double)ndiff;
//  printf("Time taken for 100 million times: %f ns\n", diff);
//  printf("Time taken: %f ns/loop\n", (double)diff/times);
  /* End of lines to be removed */
  
  printf("hello, world %fns!\n", diff);
  return(1);
}

int main (void) {
  
  unsigned int usecs = 100000; /* 100 milliseconds */
  while (1) {
    hytec_ip_analog();
    usleep(usecs);
  }
  return(0);
}

  
